TEMPLATE = app
TARGET = IOExpanderControl


HEADERS += 	ErrorHandling.h \
		IOExpanderCentralWidget.h \
		IOExpanderMainWindow.h \
		IOExpanderWidget.h \
		IOExpanderStatusBar.h \
		IOWidget\IOWidget.h \
		PatternWidget\PatternWidget.h \
		PatternWidget\PatternDefinitionWindow.h \
		PatternWidget\PatternViewWidget.h \
		PatternWidget\SinglePattern.h \
		PatternWidget\TriggerDefinitionWindow.h \
		SPIWidget\SPIWidget.h \
		ServoWidget\ServoWidget.h \
		USBCommunication\FTD2XX.H \
		USBCommunication\IOExpanderCommunicationModule.h \
		USBCommunication\missingFtdiTypeDefinitions.h \
		USBCommunication\USBCommunicationModule.h \
		USBCommunication\USBCommand.h


SOURCES += 	main.cpp \
		ErrorHandling.cpp \
		IOExpanderCentralWidget.cpp \
		IOExpanderMainWindow.cpp \
		IOExpanderWidget.cpp \
		IOExpanderStatusBar.cpp \
		IOWidget\IOWidget.cpp \
		PatternWidget\PatternWidget.cpp \
		PatternWidget\PatternDefinitionWindow.cpp \
		PatternWidget\PatternViewWidget.cpp \
		PatternWidget\SinglePattern.cpp \
		PatternWidget\TriggerDefinitionWindow.cpp \
		SPIWidget\SPIWidget.cpp \
		ServoWidget\ServoWidget.cpp \
		USBCommunication\IOExpanderCommunicationModule.cpp \
		USBCommunication\USBCommunicationModule.cpp \
		USBCommunication\USBCommand.cpp

RC_FILE = icon.rc
LIBS += USBCommunication\FTD2XX.LIB
CONFIG += qt core gui windows release thread
#CONFIG += console


MOC_DIR = moc
OBJECTS_DIR = obj
DESTDIR = bin
