#include "IOExpanderStatusBar.h"
#include "ErrorHandling.h"

CIOExpanderStatusBar::CIOExpanderStatusBar()
{
	m_connectedCheckBox = new QCheckBox(tr("Verbindung hergestellt"));
	m_connectedCheckBox->setDisabled(1);
	addPermanentWidget(m_connectedCheckBox);
}

void CIOExpanderStatusBar::ConnectionEstablished()
{
	SHOW_INFO("Verbindung hergestellt");
	m_connectedCheckBox->setChecked(1);
}

void CIOExpanderStatusBar::ConnectionLost()
{
	SHOW_INFO("Verbindung getrennt");
	m_connectedCheckBox->setChecked(0);
}
