#pragma once

#include <QtGui>
#include <QList>
#include <QString>



class CIOExpanderWidget
:public QWidget
{
	friend class CIOExpanderMainWindow;
	friend class CIOExpanderCentralWidget;
Q_OBJECT;
public:
	CIOExpanderWidget(QString title, QString iconName);

	QString	title();
	QString	iconName();

	virtual void ShowWidgetCallback() = 0;
	virtual void HideWidgetCallback() = 0;
	virtual void CloseWidgetCallback() = 0;

private:
	QString	m_title;
	QString	m_iconName;
protected:
	static QList<CIOExpanderWidget*>	s_widgets;
};
