#pragma once

#include <QtGui>
#include <QBitArray>

#include "SinglePattern.h"



class CPatternViewWidget
:public QGraphicsView
{
Q_OBJECT

public:
	CPatternViewWidget(QWidget * parent = 0);
	~CPatternViewWidget();

	void	drawBackground(QPainter *painter, const QRectF &rect);

private:
	void	removePatterns(EPatternType type); //remove everything with a specified type

public slots:
	void	SetInputPattern(QBitArray p[16]);
	void	SetOutputPattern(QBitArray p[16]);

private:
	QGraphicsScene *	m_scene;
};
