#include "ErrorHandling.h"

CErrorHandling::CErrorHandling()
{

}


void CErrorHandling::Error(QString message, EErrorPriority priority)
{
	QString errorMessage;

	switch(priority)
	{
		case PRIORITY_WARNING:
		{
			errorMessage += tr("[Warnung] ");
		}break;
		case PRIORITY_INFO:
		{
			//errorMessage += tr("[Info] ");
		}break;
		case PRIORITY_ERROR:
		{
			errorMessage += tr("[Fehler] ");
		}break;
		default:
		{
			//errorMessage += tr("[Unbekannt] ");
		}break;
	}
	errorMessage += message;

	s_error = errorMessage;

	emit GetErrorObject()->ErrorProcessed(s_error,3000);
}

CErrorHandling* CErrorHandling::GetErrorObject()
{
	if(s_errorObj == 0)
		s_errorObj = new CErrorHandling;

	return s_errorObj;
}


CErrorHandling 	*	CErrorHandling::s_errorObj = 0;
QString				CErrorHandling::s_error;
