#pragma once
#include <QList>


class CUSBCommand
{
	friend class CUSBCommunicationModule;
public:
	CUSBCommand(char cmd, bool interruptable=0);
	void appendData(quint8);
	void operator<<(quint8);

	void setAnswerBytes(quint16 n);
	QList<quint8>	Answer();
	char Cmd();

	void setCfgData(QList<quint8> cfg);
	void setCfgData(quint8 cfg);
	QList<quint8> getCfgData();

protected:
	QList<quint8> m_data;
	QList<quint8> m_answer;
	QList<quint8>	m_cfgData;

	quint16		m_answerBytes;
	bool		m_interruptable;
	char		m_cmd;
};
